#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	Address
Summary:	Email::Address - RFC 2822 Address Parsing and Creation
Summary(pl.UTF-8):	Email::Address - analiza i tworzenie adresów zgodnych z RFC 2822
Name:		perl-Email-Address
Version:	1.912
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Email/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	24a75497f11e8a8225cb6d99a5e6e647
URL:		http://search.cpan.org/dist/Email-Address/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.30
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Capture-Tiny
BuildRequires:	perl-Encode
BuildRequires:	perl-Test-Simple >= 0.96
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class implements a complete RFC 2822 parser that locates email
addresses in strings and returns a list of Email::Address objects
found. Alternatley you may construct objects manually. The goal of
this software is to be correct, very very fast, and API compatible
with the MailTools version. Did I mention fast?

%description -l pl.UTF-8
Ta klasa implementuje zgodny z RFC 2822 parser odnajdujący adresy
email w ciągach znaków i zwraca listę obiektów Email::Address. Możliwe
jest także tworzenie takich obiektów ręczenie. Oprogramowanie to ma
być poprawne, bardzo, bardzo szybkie, i z API zgodnym z MailTools.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Email/Address.pm
%{_mandir}/man3/Email::Address.3pm*
%changelog
* Wed Jan 09 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Email-Address.git;a=log;h=master

* Wed Jan 09 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> f7f833e
- up to 1.912

* Thu Mar 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f20a3b
- up to 1.909

* Wed Nov 16 2016 Jakub Bogusz <qboosh@pld-linux.org> f6f3b9f
- updated to 1.908

* Wed Mar 04 2015 Jakub Bogusz <qboosh@pld-linux.org> 543abef
- tests BR perl-Encode

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 76c65a5
- up to 1.907

* Sun Oct 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 7267ea0
- more BRs, unified Source0 URL

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b990f1
- up to 1.900

* Thu Mar 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b304f1b
- up to 1.898

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 7371933
- up to 1.895

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> e917296
- up to 1.893

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 03d6329
- updated to 1.892

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a8d414
- up to 1.889

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 37a36df
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 327068c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3dcde64
- converted to UTF-8

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> fc6af16
- rel 1, generic url

* Thu Aug 10 2006 Maciej Pijanka <agaran@pld-linux.org> 85ab801
- up to 1.86, rel 0.1, builds here

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 83bec5a
- formatting

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> ffef6a6
- spaces->tabs
- formatting

* Sun Oct 24 2004 blaass <blaass@pld-linux.org> e7a5314
- updated to 1.80

